package com.bonus.canteen.core.nutrition.common.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("health_cust_medical_report_detail")
@ApiModel("人员体检报告项目明细表")
public class HealthCustMedicalReportDetail implements Serializable {
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("体检id")
   private Long medicalId;
   @ApiModelProperty("体检项目id")
   private Long medicalProjectId;
   @ApiModelProperty("体检项目明细id")
   private Long medicalProjectDetailId;
   @ApiModelProperty("体检项目明细名称")
   private String medicalProjectDetailName;
   @ApiModelProperty("检查结果")
   private String result;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getMedicalId() {
      return this.medicalId;
   }

   public Long getMedicalProjectId() {
      return this.medicalProjectId;
   }

   public Long getMedicalProjectDetailId() {
      return this.medicalProjectDetailId;
   }

   public String getMedicalProjectDetailName() {
      return this.medicalProjectDetailName;
   }

   public String getResult() {
      return this.result;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setMedicalId(final Long medicalId) {
      this.medicalId = medicalId;
   }

   public void setMedicalProjectId(final Long medicalProjectId) {
      this.medicalProjectId = medicalProjectId;
   }

   public void setMedicalProjectDetailId(final Long medicalProjectDetailId) {
      this.medicalProjectDetailId = medicalProjectDetailId;
   }

   public void setMedicalProjectDetailName(final String medicalProjectDetailName) {
      this.medicalProjectDetailName = medicalProjectDetailName;
   }

   public void setResult(final String result) {
      this.result = result;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public String toString() {
      Long var10000 = this.getId();
      return "HealthCustMedicalReportDetail(id=" + var10000 + ", medicalId=" + this.getMedicalId() + ", medicalProjectId=" + this.getMedicalProjectId() + ", medicalProjectDetailId=" + this.getMedicalProjectDetailId() + ", medicalProjectDetailName=" + this.getMedicalProjectDetailName() + ", result=" + this.getResult() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ")";
   }
}
